/*****************************************************************************\
| Specify file editor to use to display .cmd code errors.                     |
|                                                                             |
| $Revision:   1.0  $
|     $Date:   03 Aug 1995 20:10:10  $                                        |
| Libraries:   REXXSAA                                                        |
|  Category:   Error Handler                                                  |
|     Class:   Programming                                                    |
|      Type:   Service                                                        |
|    Author:   Bob Rice - CompuServe: 72421,3016                              |
|                                                                             |
| Copyright (c) 1995 Empirical Heuristics                                     |
\**************************************************************************r4*/
/*  !tr! = value('TRACE',,'OS2ENVIRONMENT'); parse source . . !who!          */
/*  if !tr! \= '' then say '--> Entering' !who!; trace value !tr!; nop       */
  if arg(1) = '' | left(arg(1),1) = '?' then do
    parse source . . !pgm!; call TellHelp arg(1), !pgm!; exit 2; end

  parse arg file line .
  if line = '' then line = 1
  /*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>><<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/
  /*>>>>>>> Customize the following line to use your favorite editor. <<<<<<<*/
  '@START EPM' file "'goto" line"'"
  exit
/*--Begin Help-----------------------------------------------------------------
Specify file editor to use to display .cmd code errors.  Called by the standard
Skeleton error trap routine.

Params: file-to-edit error-line-number

  file-to-edit      is the filespec of the file which the editor is expected to
                    open in the event of an error detected by Skeleton.

  error-line-number is the line number of the source code in error.

________________
Alternate Params: [ ? | ?? | ??? | ???? ]

where:

  ?     Displays up to the "Syntax:" or "Params:" portion of this help text.

  ??    Displays this entire help text except for the technical information.

  ???   Displays this entire help text.

  ????  Puts this help text into a file whose name is the same as the name of
        this program and whose extent is .ABS.  The file is written to the same
        directory as that in which this program resides.

_______________
Technical Notes

This program is not intended to be a general utility.  It is designed to
support the standard REXX Skeleton as part of its error and event trap
processor.

___________________
Development History

$Log:   Q:/rxdv/skeleton/vcs/erhedit.cm!  $
  
     Rev 1.0   03 Aug 1995 20:10:10
  Initial revision.
--End Help-------------------------------------------------------------------*/
